"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _locale = require("./locale.service");

var _reactRouterDom = require("react-router-dom");

var mapState = function mapState(_ref, _ref2) {
  var locale = _ref.locale;
  var to = _ref2.to;
  return {
    isActive: locale.locale === to
  };
};

var mapDispatch = function mapDispatch(dispatch) {
  return {
    changeLanguage: function changeLanguage(to) {
      return function (evt) {
        evt.preventDefault();
        evt.stopPropagation();
        dispatch((0, _locale.loadLocale)(to));
      };
    }
  };
};

var SetLocaleLink = function SetLocaleLink(_ref3) {
  var to = _ref3.to,
      isActive = _ref3.isActive,
      changeLanguage = _ref3.changeLanguage,
      children = _ref3.children,
      style = _ref3.style,
      activeStyle = _ref3.activeStyle,
      className = _ref3.className,
      activeClassName = _ref3.activeClassName,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref3, ["to", "isActive", "changeLanguage", "children", "style", "activeStyle", "className", "activeClassName"]);
  return _react["default"].createElement(_reactRouterDom.Link, (0, _extends2["default"])({}, props, {
    to: "?locale=" + to,
    onClick: changeLanguage(to),
    className: isActive ? activeClassName : className,
    style: isActive ? activeStyle : style
  }), children);
};

SetLocaleLink.propTypes = {
  to: _propTypes["default"].string.isRequired,
  isActive: _propTypes["default"].bool.isRequired,
  changeLanguage: _propTypes["default"].func.isRequired,
  className: _propTypes["default"].string,
  activeClassName: _propTypes["default"].string,
  style: _propTypes["default"].object,
  activeStyle: _propTypes["default"].object,
  children: _propTypes["default"].any.isRequired // eslint-disable-line

};
SetLocaleLink.defaultProps = {
  className: null,
  activeClassName: null,
  style: null,
  activeStyle: null
};

var _default = (0, _reactRedux.connect)(mapState, mapDispatch)(SetLocaleLink);

exports["default"] = _default;